package my.pkg;

import javax.jws.WebMethod;
import javax.jws.WebService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.ejb.interceptor.SpringBeanAutowiringInterceptor;
import org.springframework.web.context.support.SpringBeanAutowiringSupport;


//@BindingType(value = SOAPBinding.SOAP12HTTP_BINDING)
@WebService(name = "autowiringWebService", serviceName = "autowiringWebService")

//public class AutowiringWebService extends SpringBeanAutowiringSupport {
public class AutowiringWebService extends SpringBeanAutowiringInterceptor {

	@Autowired
	@Qualifier("myService")
	private MyService myService;
	
		
	@WebMethod
	public String getAutowiredInfo() {
		if (myService != null) {
			return "I use " + myService.myServiceInfo();
		} else {
			return "myService object was not wired!";
		}
	}
	
}



